Skip to main content
GET
/
v1
/
users
/
income
Get User Income Endpoint
curl --request GET \
  --url https://api.mytruv.com/v1/users/income \
  --header 'Authorization: Basic <encoded-value>'
{
  "employments": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Use user_id as username and access_token as password.

Query Parameters

days
integer
default:90
Required range: 1 <= x <= 365

Response

Successful Response

Aggregated income report combining payroll and bank account sources.

Employment records from payroll providers and bank transaction-based income are merged and deduplicated. Each employment includes a data_source field ('payroll' or 'financial_accounts') to identify its origin.

employments
Employments · object[]

Combined employment / income records from all connected sources. Each item contains data_source ('payroll' or 'financial_accounts'), provider name, company info, statements, income details, and more.